Retrieve Invitations
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/invitations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/invitations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"version": 123,
"email": "<string>",
"permissionPolicyIds": [
"<string>"
],
"firstName": "<string>",
"lastName": "<string>",
"dtEndAccess": "2023-11-07T05:31:56Z",
"dtExpiry": "2023-11-07T05:31:56Z",
"invitingPrincipalId": "<string>",
"accepted": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve Invitations
Retrieve a list of all invitations in the Organization.
GET
/
organizations
/
{orgId}
/
invitations
Retrieve Invitations
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization. The Organization represents your company as a direct customer of the m3ter service.
Query Parameters
Number of invitations to retrieve per page.
Required range:
1 <= x <= 200nextToken for multi page retrievals.
⌘I